/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumAccesslevel;
import de.ship.db.tables.VCoreUserprivilege;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreUserprivilegeRecord extends TableRecordImpl<VCoreUserprivilegeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_userprivilege.forename</code>.
     */
    public void setForename(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_userprivilege.forename</code>.
     */
    public String getForename() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_userprivilege.surname</code>.
     */
    public void setSurname(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_userprivilege.surname</code>.
     */
    public String getSurname() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_userprivilege.username</code>.
     */
    public void setUsername(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_userprivilege.username</code>.
     */
    public String getUsername() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_userprivilege.usnr</code>.
     */
    public void setUsnr(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_userprivilege.usnr</code>.
     */
    public Integer getUsnr() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.v_core_userprivilege.privilege_name</code>.
     */
    public void setPrivilegeName(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_core_userprivilege.privilege_name</code>.
     */
    public String getPrivilegeName() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.v_core_userprivilege.fk_privilege</code>.
     */
    public void setFkPrivilege(Integer value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_core_userprivilege.fk_privilege</code>.
     */
    public Integer getFkPrivilege() {
        return (Integer) get(5);
    }

    /**
     * Setter for <code>common_dd.v_core_userprivilege.shipdesigner_acl</code>.
     */
    public void setShipdesignerAcl(EnumAccesslevel value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_core_userprivilege.shipdesigner_acl</code>.
     */
    public EnumAccesslevel getShipdesignerAcl() {
        return (EnumAccesslevel) get(6);
    }

    /**
     * Setter for <code>common_dd.v_core_userprivilege.shippie_acl</code>.
     */
    public void setShippieAcl(EnumAccesslevel value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.v_core_userprivilege.shippie_acl</code>.
     */
    public EnumAccesslevel getShippieAcl() {
        return (EnumAccesslevel) get(7);
    }

    /**
     * Setter for <code>common_dd.v_core_userprivilege.square_acl</code>.
     */
    public void setSquareAcl(EnumAccesslevel value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.v_core_userprivilege.square_acl</code>.
     */
    public EnumAccesslevel getSquareAcl() {
        return (EnumAccesslevel) get(8);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreUserprivilegeRecord
     */
    public VCoreUserprivilegeRecord() {
        super(VCoreUserprivilege.V_CORE_USERPRIVILEGE);
    }

    /**
     * Create a detached, initialised VCoreUserprivilegeRecord
     */
    public VCoreUserprivilegeRecord(String forename, String surname, String username, Integer usnr, String privilegeName, Integer fkPrivilege, EnumAccesslevel shipdesignerAcl, EnumAccesslevel shippieAcl, EnumAccesslevel squareAcl) {
        super(VCoreUserprivilege.V_CORE_USERPRIVILEGE);

        setForename(forename);
        setSurname(surname);
        setUsername(username);
        setUsnr(usnr);
        setPrivilegeName(privilegeName);
        setFkPrivilege(fkPrivilege);
        setShipdesignerAcl(shipdesignerAcl);
        setShippieAcl(shippieAcl);
        setSquareAcl(squareAcl);
        resetChangedOnNotNull();
    }
}
